--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply MDD change 13/387
--
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              29/11/2013  M Brookes         10.0.006
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
PROMPT
PROMPT Script to apply MDD change 13/387
PROMPT
PROMPT Version 10.0.006
PROMPT
--
-- DEFINE mdb_home = &1
--
PROMPT
PROMPT Insert UPB as Shipper (and GAO) (MDD 13/387)
PROMPT
--
SET SCAN OFF
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);

BEGIN

EXECUTE IMMEDIATE 'INSERT INTO MARKET_PARTICIPANT (MARKET_PARTICIPANT_CODE,MARKET_PARTICIPANT_NAME,
                       CREATED_USER_ID,CREATED_DATE,MARKET_PARTICIPANT_ABBR_NAME)
                      VALUES (''UPB'',''Utility Professional Business Operations Limited'',''MDD_13_387'',SYSDATE,''UPB'')';

EXECUTE IMMEDIATE 'INSERT INTO ADDRESS (ADDRESS_ID,BUILDING_NUMBER,BUILDING_NAME,BUILDING_NAME_SUB,
                       ADDRESS_1,ADDRESS_2,ADDRESS_3,ADDRESS_4,POSTCODE_OUTCODE,POSTCODE_INCODE,
                       CREATED_USER_ID,CREATED_MARKET_PARTICIPANT,CREATED_DATE)
                      VALUES (ADDRESS_ID_SEQ.NEXTVAL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,''X9'',''9XX'',
                       ''MDD_13_387'',''BSMART'',SYSDATE)';

EXECUTE IMMEDIATE 'INSERT INTO MARKET_PARTICIPANT_IN_ROLE (MARKET_PARTICIPANT_CODE,MARKET_PARTICIPANT_ROLE_CODE,
                       EFFECTIVE_FROM_DATE,EFFECTIVE_TO_DATE,MARKET_PARTICIPANT_ROLE_NAME,ADDRESS_ID,
                       REGISTRATION_NUMBER,REGISTRATION_BODY,MARKET_PARTICIPANT_ROLE_ID,
                       MARKET_PARTICIPANT_ROLE_PORT,CREATED_USER_ID,CREATED_DATE)
                      VALUES (''UPB'',''SHIP'',TO_DATE(''01011900000000'',''DDMMYYYYHH24MISS''),NULL,
                       ''Utility Professional Business Operations Limited (SHIP)'',ADDRESS_ID_SEQ.CURRVAL,NULL,NULL,NULL,NULL,''MDD_13_387'',SYSDATE)';

EXECUTE IMMEDIATE 'INSERT INTO MARKET_PARTICIPANT_IN_ROLE (MARKET_PARTICIPANT_CODE,MARKET_PARTICIPANT_ROLE_CODE,
                       EFFECTIVE_FROM_DATE,EFFECTIVE_TO_DATE,MARKET_PARTICIPANT_ROLE_NAME,ADDRESS_ID,
                       REGISTRATION_NUMBER,REGISTRATION_BODY,MARKET_PARTICIPANT_ROLE_ID,
                       MARKET_PARTICIPANT_ROLE_PORT,CREATED_USER_ID,CREATED_DATE)
                      VALUES (''UPB'',''GAO'',TO_DATE(''01011900000000'',''DDMMYYYYHH24MISS''),NULL,
                       ''Utility Professional Business Operations Limited (GAO)'',ADDRESS_ID_SEQ.CURRVAL,NULL,NULL,NULL,NULL,''MDD_13_387'',SYSDATE)';

EXCEPTION
  WHEN is_snapshot OR invalid_column or row_exists THEN
    NULL;
END;
/

SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
